summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-fs/ccxstream/files')
-rw-r--r--net-fs/ccxstream/files/ccxstream-termcap.patch11
-rw-r--r--net-fs/ccxstream/files/ccxstream.confd54
-rw-r--r--net-fs/ccxstream/files/ccxstream.initd27
-rw-r--r--net-fs/ccxstream/files/digest-ccxstream-1.0.151
4 files changed, 93 insertions, 0 deletions
diff --git a/net-fs/ccxstream/files/ccxstream-termcap.patch b/net-fs/ccxstream/files/ccxstream-termcap.patch
new file mode 100644
index 000000000000..c006ec551e28
--- /dev/null
+++ b/net-fs/ccxstream/files/ccxstream-termcap.patch
@@ -0,0 +1,11 @@
+--- Makefile.orig 2003-12-27 04:57:23.733355080 +0000
++++ Makefile 2003-12-27 04:57:34.506717280 +0000
+@@ -22,7 +22,7 @@
+ #
+
+ CFLAGS+=-I. -g
+-LDFLAGS+=-lreadline -ltermcap
++LDFLAGS+=-lreadline -lncurses
+
+ all: ccxstream ccxtest
+
diff --git a/net-fs/ccxstream/files/ccxstream.confd b/net-fs/ccxstream/files/ccxstream.confd
new file mode 100644
index 000000000000..5b68f1dc10b8
--- /dev/null
+++ b/net-fs/ccxstream/files/ccxstream.confd
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+#Uncomment the line below to begin (mandatory)
+#CHECK=YES
+
+#Below the user to run the service as (mandatory)
+RUNASUSER="root"
+
+#Below the password on the XBOX (optional)
+#REMOTEPASS="xboxpassword"
+
+#Below the interface to listen on (mandatory)
+LISTENINTERFACE="192.168.1.1"
+
+FOLLOWSYMLINKS=YES
+
+#Comment (optional)
+#SERVERCOMMENT="Video and MP3 server powered by Gentoo. Watch and listen and ENJOY."
+
+#Shares to make available (mandatory)
+SHARES="movies=/data/videos audio=/data/mp3"
+
+#Location of binary file. Leave default unless you know what you're doing (mandatory)
+BIN="/usr/bin/ccxstream"
+
+#-----------------------------------------------------------------------------#
+#-----------------------------------------------------------------------------#
+
+DIR="-"
+
+PIDFILE=/var/run/ccxstream.pid
+
+PARAMS="-f -F $PIDFILE -r $DIR -u $RUNASUSER"
+
+if test "$FOLLOWSYMLINKS" == "YES" ; then
+ PARAMS="$PARAMS -L"
+fi
+
+if test "x$REMOTEPASS" != "x" ; then
+ PARAMS="$PARAMS -P $REMOTEPASS"
+fi
+
+if test "x$LISTENINTERFACE" != "x" ; then
+ PARAMS="$PARAMS -l $LISTENINTERFACE"
+fi
+
+for i in $SHARES ; do
+ PARAMS="$PARAMS -S $i"
+done
+
+if test "x$SERVERCOMMENT" = "x" ; then
+ SERVERCOMMENT="`hostname`"
+fi
+
diff --git a/net-fs/ccxstream/files/ccxstream.initd b/net-fs/ccxstream/files/ccxstream.initd
new file mode 100644
index 000000000000..1c47116420ce
--- /dev/null
+++ b/net-fs/ccxstream/files/ccxstream.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+#
+#
+
+depend() {
+ need net
+}
+
+start() {
+ if [ "${CHECK}" = "YES" ] ; then
+
+ ebegin "Starting ccXstream"
+ start-stop-daemon --start --quiet --exec ${BIN} \
+ -- ${PARAMS} -C ${SERVERCOMMENT}
+ eend $?
+ else
+ eerror "Please setup /etc/conf.d/ccxstream before starting ccXstream"
+
+ return 1
+ fi
+}
+
+stop() {
+ ebegin "Stopping ccXstream"
+ start-stop-daemon --stop --quiet --pidfile /var/run/ccxstream.pid
+ eend $?
+}
diff --git a/net-fs/ccxstream/files/digest-ccxstream-1.0.15 b/net-fs/ccxstream/files/digest-ccxstream-1.0.15
new file mode 100644
index 000000000000..b613f4a92bcf
--- /dev/null
+++ b/net-fs/ccxstream/files/digest-ccxstream-1.0.15
@@ -0,0 +1 @@
+MD5 c589fff48ce541f26b394c9d82ccbead ccxstream-1.0.15.tar.gz 40384